r1ch.net forums
* Home Help Search Login Register
r1ch.net  |  r1ch.net stuff  |  r1dll / foobar2000 plugins  |  Topic: foobar v0.9 - winamp_api
Pages: [1] 2 3 4  All
Print
Author Topic: foobar v0.9 - winamp_api  (Read 144556 times)
bert
Guest
« on: March 18, 2006, 06:35:24 am »

Do you offer the winamp_api plugin for the beta version too?
Logged
R1CH
Administrator
Member

Posts: 2625



« Reply #1 on: March 18, 2006, 04:21:14 pm »

I'd prefer to wait for 0.9 API to finalize before I update the winamp emulator for it. Looking at the beta page I also see the following:

Quote
An SDK will be released to the public after foobar2000 v0.9 goes final. This is to simplify bugfixing by ensuring that the bugs and issues people report are all related to / caused by foobar2000 and its official components themselves and not unexpected behaviour of third party components.
Logged
patrol
Guest
« Reply #2 on: March 19, 2006, 10:37:14 am »

how about   hXXp://wXw.foobar2000.org/SDK.zip huh  [live links Tongue]
it's a SDK for Foobar 0.9 grin
Logged
derb
Guest
« Reply #3 on: March 19, 2006, 01:22:48 pm »

Yea please update it. I used it and loved it, would be great for 0.9 to work too. Thanks!
Logged
R1CH
Administrator
Member

Posts: 2625



« Reply #4 on: March 19, 2006, 01:54:41 pm »

Wait a week or so, apparently 0.9 will be final by then Smiley.
Logged
R1CH
Administrator
Member

Posts: 2625



« Reply #5 on: March 19, 2006, 03:03:59 pm »

Ok maybe not. Working on it now Smiley.
Logged
R1CH
Administrator
Member

Posts: 2625



« Reply #6 on: March 20, 2006, 12:14:04 am »

Hmm, I'm not liking the lack of documentation and examples for the 0.9 SDK.
Logged
mojomonkee
Guest
« Reply #7 on: March 21, 2006, 01:56:22 am »

Any updates on the progress of the .9 update R1CH?  Is the only roadblock the fact that the SDK is so poorly documented?

SH/SC is pulling for you.  Well, I am at least and I like to think that counts for something.
Logged
R1CH
Administrator
Member

Posts: 2625



« Reply #8 on: March 21, 2006, 02:18:41 am »

Well I'm not really too keen on 0.9 itself, it seems like a step backwards. That, and not really knowing C++ is a bit of a problem considering the new SDK is almost foreign to me.
Logged
dred111
Guest
« Reply #9 on: March 21, 2006, 03:13:30 am »

Yoyr plugin it's great, great job Smiley I'm waiting for compatibility to 0.9  smiley
Logged
pete north
Guest
« Reply #10 on: March 22, 2006, 03:05:09 pm »

i'm also highly anticipating this plugin w/ compatibility for the new .9 releasage.
Logged
tom
Guest
« Reply #11 on: March 25, 2006, 11:33:28 am »

hope youre getting forward. i really miss that plugin.
Logged
R1CH
Administrator
Member

Posts: 2625



« Reply #12 on: March 25, 2006, 02:22:13 pm »

I'll try and work on it today.
Logged
bconnolly
Guest
« Reply #13 on: March 25, 2006, 02:25:49 pm »

Thanks a lot man.  I think I speak for the entire alternate shell community (most notably Litestep) when I say that we can't live without this component.  It's one of the most useful plugins to us who need the Winamp API to make Litestep modules work.

Thanks a lot for your work man.  It's not going unnoticed.
Logged
R1CH
Administrator
Member

Posts: 2625



« Reply #14 on: March 25, 2006, 07:39:47 pm »

Almost done Smiley.
Logged
Pages: [1] 2 3 4  All
Print
r1ch.net  |  r1ch.net stuff  |  r1dll / foobar2000 plugins  |  Topic: foobar v0.9 - winamp_api
Jump to:  

Powered by SMF 1.1.19 | SMF © 2013, Simple Machines